UbixOS V2 2.0

Functions
kern_trie.c File Reference
`#include <sys/types.h>`
`#include <lib/kmalloc.h>`
`#include <lib/kern_trie.h>`
Include dependency graph for kern_trie.c:

Go to the source code of this file.

## Functions
int | delete_trieNode (struct Trie **curr, char *str)
int | haveChildren (struct Trie *curr)
void | insert_trieNode (struct Trie **head, char *str, void *e)
struct Trie * | new_trieNode ()
struct Trie * | search_trieNode (struct Trie *head, char *str)

## Function Documentation

## ◆ delete_trieNode()

int delete_trieNode | ( | struct Trie ** | curr,
|  | char * | str
| ) |  |

Definition at line 99 of file kern_trie.c.

References haveChildren(), and NULL.

Here is the call graph for this function:

## ◆ haveChildren()

int haveChildren | ( | struct Trie * | curr | ) |

Definition at line 143 of file kern_trie.c.

References CHAR_SIZE, and Trie::character.

Referenced by delete_trieNode().

## ◆ insert_trieNode()

void insert_trieNode | ( | struct Trie ** | head,
|  | char * | str,
|  | void * | e
| ) |  |

Definition at line 46 of file kern_trie.c.

References Trie::character, Trie::e, Trie::isLeaf, new_trieNode(), and NULL.

Here is the call graph for this function:

## ◆ new_trieNode()

struct Trie* new_trieNode | ( |  | ) |

Definition at line 33 of file kern_trie.c.

References CHAR_SIZE, Trie::character, Trie::isLeaf, kmalloc(), and NULL.

Referenced by insert_trieNode().

Here is the call graph for this function:

## ◆ search_trieNode()

struct Trie* search_trieNode | ( | struct Trie * | head,
|  | char * | str
| ) |  |

Definition at line 70 of file kern_trie.c.

References Trie::character, and NULL.